Bug 1832 - tablet-browser-* sources missing
: tablet-browser-* sources missing
Status: RESOLVED FIXED
Product: Browser
User interface
: 5.0-beta2
: All Maemo
: Low enhancement with 1 vote (vote)
: 5.0/(3.2010.02-8)
Assigned To: Oleg Romashin
: browser-bugs
: http://repository.maemo.org/extras/po...
:
:
:
  Show dependency tree
 
Reported: 2007-08-15 18:20 UTC by Daniel Bainton
Modified: 2010-02-16 19:40 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Daniel Bainton (reporter) 2007-08-15 18:20:25 UTC
tablet-browser-controls, tablet-browser-default-plugin, tablet-browser-dialogs,
tablet-browser-ui, tablet-browser-widgets are missing sources in the
repository. The url should contain the tarballs of them.

Are the packages even open source? I can't find the current sources even from
Garage. If they aren't, they should be removed from the "free" part of the
repository.
Comment 1 timeless 2007-10-07 08:50:23 UTC
we had hoped to open the ui but hit a snag, in the interim we should move the
ui packages to non-free
Comment 2 Andre Klapper maemo.org 2008-10-09 12:13:34 UTC
According to
https://wiki.maemo.org/Why_the_closed_packages#Specific_reasons_for_packages
this is planned to be fixed for Fremantle.

Setting Target Milestone.
Comment 3 Andre Klapper maemo.org 2009-03-26 19:07:15 UTC
Is there any progress here to get this open sourced?
Comment 4 Andre Klapper maemo.org 2009-05-28 17:26:47 UTC
> tablet-browser-controls, tablet-browser-default-plugin, 
> tablet-browser-dialogs, tablet-browser-ui, tablet-browser-widgets

None of them is listed at http://repository.maemo.org/pool/diablo/free/t/ or
http://repository.maemo.org/pool/diablo/non-free/ .

What exists is
http://repository.maemo.org/pool/diablo/free/t/tablet-browser-interface/ 
http://repository.maemo.org/pool/diablo/free/m/microb-eal/
http://repository.maemo.org/pool/diablo/free/m/microb-engine/
http://repository.maemo.org/pool/diablo/free/b/browser-eal/
and all these directories provide tar.gz files.

So is this still an issue in latest Diablo?

If so, what are the current names of the browser packages that are missing
sources, and where exactly are the packages located?
Comment 5 Andre Klapper maemo.org 2009-06-19 18:47:04 UTC
Folks, what are the current names of the browser packages that are missing
sources, and where exactly are the packages located?
Comment 6 Quim Gil nokia 2009-09-14 08:33:44 UTC
This is an enhancement request
Comment 7 Andre Klapper maemo.org 2009-11-12 15:02:47 UTC
Can somebody re-check the situation in Fremantle now that shipping of the N900
has been started?
Comment 8 Andre Klapper maemo.org 2010-02-16 19:40:44 UTC
Okay, rechecking for Maemo5. All packages still existing in Fremantle.

> Are the packages even open source?

Internally they are listed as closed source.

> If they aren't, they should be removed from the "free" part

They are not listed anymore at
http://repository.maemo.org/pool/fremantle/free/t/ and they are not listed at
http://repository.maemo.org/pool/diablo/free/t/ either.

Hence I consider this request FIXED.

If you want specific packages to change their license, please read
http://wiki.maemo.org/Open_development/Licensing_change_requests and file an
enhancement request under Maemo Official Platform > Licensing Change Requests.